Subject: Re: [IPSEC] Store idev entries

From: Patrick McHardy <[email-masked]>
Date: Wed, 04 May 2005 03:23:29 +0200

Herbert Xu wrote:
>>Hmm, I wonder why I didn't see this.  Anyway, could you please add
>>the include to addrconf.h instead?
> 
> Aha, I can see it if I do something like this.
> 
> 
> ------------------------------------------------------------------------
> 
> ===== include/asm-i386/checksum.h 1.14 vs edited =====
> --- 1.14/include/asm-i386/checksum.h	2005-01-16 22:58:42 +11:00
> +++ edited/include/asm-i386/checksum.h	2005-05-04 11:17:09 +10:00
> @@ -1,8 +1,6 @@
>  #ifndef _I386_CHECKSUM_H
>  #define _I386_CHECKSUM_H
>  
> -#include <linux/in6.h>
> -
>  /*
>   * computes the checksum of a memory block at buff, length len,
>   * and adds in "sum" (32-bit)
> @@ -145,6 +143,7 @@
>  }
>  
>  #define _HAVE_ARCH_IPV6_CSUM
> +struct in6_addr;
>  static __inline__ unsigned short int csum_ipv6_magic(struct in6_addr *saddr,
>  						     struct in6_addr *daddr,
>  						     __u32 len,

I use x86_64, which explains why I saw the error:

struct in6_addr;

#define _HAVE_ARCH_IPV6_CSUM 1
csum_ipv6_magic(struct in6_addr *saddr, struct in6_addr *daddr,
                __u32 len, unsigned short proto, unsigned int sum);

Regards
Patrick